#version 330 core

layout(location = 0, index = 0) out vec4 out_color0;

uniform vec4 debug_color;

in float height;

void main()
{
	out_color0 = debug_color;
	out_color0.rgb += vec3( height, 2.0f*height, 0.5f * height );
}
